# H501_TerminationCause Class Reference

`#include <h501.h>`

Inheritance diagram for H501_TerminationCause:

List of all members.

## Public Types

enum | OptionalFields { e_causeIE, e_nonStandardData }

## Public Member Functions

| H501_TerminationCause (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_ReleaseCompleteReason | m_releaseCompleteReason
PASN_Integer | m_causeIE
H225_NonStandardParameter | m_nonStandardData

## Member Enumeration Documentation

enum H501_TerminationCause::OptionalFields

Enumerator:

  e_causeIE |
  e_nonStandardData |

## Constructor & Destructor Documentation

H501_TerminationCause::H501_TerminationCause | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H501_TerminationCause::GetDataLength | ( |  | ) | const

PBoolean H501_TerminationCause::Decode | ( | PASN_Stream & | strm | ) |

void H501_TerminationCause::Encode | ( | PASN_Stream & | strm | ) | const

void H501_TerminationCause::PrintOn | ( | ostream & | strm | ) | const

Comparison H501_TerminationCause::Compare | ( | const PObject & | obj | ) | const

PObject* H501_TerminationCause::Clone | ( |  | ) | const

## Member Data Documentation

H225_ReleaseCompleteReason H501_TerminationCause::m_releaseCompleteReason

PASN_Integer H501_TerminationCause::m_causeIE

H225_NonStandardParameter H501_TerminationCause::m_nonStandardData

The documentation for this class was generated from the following file:

- h501.h